package com.yihu.jw.base.service.dict.importManage;


import com.yihu.jw.util.excel.ExcelUtil;
import com.yihu.jw.util.excel.Validation;
import com.yihu.jw.util.excel.annotation.Location;
import com.yihu.jw.util.excel.annotation.Row;
import com.yihu.jw.util.excel.annotation.Title;
import com.yihu.jw.util.excel.annotation.ValidRepeat;

import java.util.Map;
import java.util.Set;


@Row(start = 1)
public class BasFrequencyExcelDO extends ExcelUtil implements Validation {

    @Location(x=0)
    @ValidRepeat
    String freq_code;
    @Location(x=1)
    @ValidRepeat
    String freq_name;
    @Location(x=2)
    @ValidRepeat
    String  freq_sp;//
    @Location(x=3)
    @ValidRepeat
    String daily_times;
    @Location(x=4)
    @ValidRepeat
    String weekly_times;//
    @Location(x=5)
    @ValidRepeat
    String hosp_code;
    @Location(x=6)
    @ValidRepeat
    String is_op_ip;
    @Location(x=7)
    @ValidRepeat
    String status;

    public String getFreq_code() {
        return freq_code;
    }

    public void setFreq_code(String freq_code) {
        this.freq_code = freq_code;
    }

    public String getFreq_name() {
        return freq_name;
    }

    public void setFreq_name(String freq_name) {
        this.freq_name = freq_name;
    }

    public String getFreq_sp() {
        return freq_sp;
    }

    public void setFreq_sp(String freq_sp) {
        this.freq_sp = freq_sp;
    }

    public String getDaily_times() {
        return daily_times;
    }

    public void setDaily_times(String daily_times) {
        this.daily_times = daily_times;
    }

    public String getWeekly_times() {
        return weekly_times;
    }

    public void setWeekly_times(String weekly_times) {
        this.weekly_times = weekly_times;
    }

    public String getHosp_code() {
        return hosp_code;
    }

    public void setHosp_code(String hosp_code) {
        this.hosp_code = hosp_code;
    }

    public String getIs_op_ip() {
        return is_op_ip;
    }

    public void setIs_op_ip(String is_op_ip) {
        this.is_op_ip = is_op_ip;
    }



    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public int validate(Map<String, Set> repeatMap) {
        int rs = 1;
        return rs;
    }
}
